#include <fxlib.h>
#include <stdio.h>
#include <string.h>
#include "title.h"
#include "save.h"
#include "sfc.h"
void drawTitle()
{
    GRAPHDATA gdata;
    gdata.width = 127;
    gdata.height = 16;
    gdata.pBitmap = title;
    DISPGRAPH dgraph;
    dgraph.x = 0;
    dgraph.y = 5;
    dgraph.GraphData = gdata;
    dgraph.WriteModify = IMB_WRITEMODIFY_NORMAL;
    dgraph.WriteKind = IMB_WRITEKIND_OR;
    Bdisp_WriteGraph_VRAM(&dgraph);
}
void drawMenu(int choix)
{
    Bdisp_AllClr_DDVRAM();
    drawTitle();
    PrintXY(63,33, "Commencer", 0);
    PrintXY(63,52, "Credits", 0);
    PrintMini(1, 57, "48h CPC #14", 0);
    Bdisp_DrawLineVRAM(127, 27, 48, 27);
    Bdisp_DrawLineVRAM(48, 27, 48, 63);
    Bdisp_DrawLineVRAM(48, 45, 127, 45);
    Bdisp_AreaReverseVRAM(49, (choix*18)+28, 127, (choix*18)+45);
    Bdisp_PutDisp_DD();
}
void drawCredits()
{
    Bdisp_AllClr_DDVRAM();
    PrintXY(1, 7, "Jeu cree par Julese50", 0);
    PrintXY(6, 15, "pour les 48h CPC #14", 0);
    PrintXY(12, 30, "Inspire par Cookie", 0);
    PrintXY(12, 38, "Clicker par Orteil", 0);
}
int main() {
    int key, choix=0;
    drawMenu(choix);
    while(1) {
	GetKey(&key);
	switch(key) {
	case KEY_CTRL_UP:
	case KEY_CTRL_DOWN:
	    choix = !choix;
	    break;
	case KEY_CTRL_EXE:
	    if(choix==0) {
		startGame();
		return 0;
	    } else {
		drawCredits();
		GetKey(&key);
	    }
	    break;
	}
	drawMenu(choix);
    }
    return 0;
};
