#include <string.h>
#include "utils.h"
void itoa(int n, char *s)
{
    int i=0;
    do {
	s[i++] = (n % 10) + '0';
    } while(n /= 10);
    s[i] = '\0';
    reverse(s);
}
void reverse(char *s)
{
    int i, j;
    char c;
    for (i = 0, j = strlen(s)-1; i<j; i++, j--) {
	c = s[i];
	s[i] = s[j];
	s[j] = c;
    }
}
double pow(double x, int n)
{
    double r = 1;
    for(n; n>0; n--) {
	r *= x;
    }
    return r;
}
